Index: uspace/lib/c/generic/devman.c
===================================================================
--- uspace/lib/c/generic/devman.c	(revision 38d150e6238ab44c861f6486e46454e07caeb0f0)
+++ uspace/lib/c/generic/devman.c	(revision 95ab29b65014c8e3a295c7fe41f760d1ddb4d48f)
@@ -182,5 +182,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_2(exch, DEVMAN_DRIVER_REGISTER, 0, 0, &answer);
-	sysarg_t retval = async_data_write_start(exch, name, str_size(name));
+	int retval = async_data_write_start(exch, name, str_size(name));
 	
 	devman_exchange_end(exch);
@@ -222,5 +222,5 @@
 	aid_t req = async_send_3(exch, DEVMAN_ADD_FUNCTION, (sysarg_t) ftype,
 	    devh, match_count, &answer);
-	sysarg_t retval = async_data_write_start(exch, name, str_size(name));
+	int retval = async_data_write_start(exch, name, str_size(name));
 	if (retval != EOK) {
 		devman_exchange_end(exch);
@@ -272,5 +272,5 @@
 	aid_t req = async_send_1(exch, DEVMAN_ADD_DEVICE_TO_CATEGORY,
 	    devman_handle, &answer);
-	sysarg_t retval = async_data_write_start(exch, cat_name,
+	int retval = async_data_write_start(exch, cat_name,
 	    str_size(cat_name));
 	
@@ -310,5 +310,5 @@
 {
 	async_exch_t *exch;
-	sysarg_t retval;
+	int retval;
 	
 	exch = devman_exchange_begin_blocking(INTERFACE_DDF_DRIVER);
@@ -316,5 +316,5 @@
 	devman_exchange_end(exch);
 	
-	return (int) retval;
+	return retval;
 }
 
@@ -325,8 +325,8 @@
 		return ENOMEM;
 	
-	sysarg_t retval = async_req_1_0(exch, DEVMAN_DRV_FUN_ONLINE, funh);
-	
-	devman_exchange_end(exch);
-	return (int) retval;
+	int retval = async_req_1_0(exch, DEVMAN_DRV_FUN_ONLINE, funh);
+	
+	devman_exchange_end(exch);
+	return retval;
 }
 
@@ -337,8 +337,8 @@
 		return ENOMEM;
 	
-	sysarg_t retval = async_req_1_0(exch, DEVMAN_DRV_FUN_OFFLINE, funh);
-	
-	devman_exchange_end(exch);
-	return (int) retval;
+	int retval = async_req_1_0(exch, DEVMAN_DRV_FUN_OFFLINE, funh);
+	
+	devman_exchange_end(exch);
+	return retval;
 }
 
@@ -374,5 +374,5 @@
 	aid_t req = async_send_2(exch, DEVMAN_DEVICE_GET_HANDLE, flags, 0,
 	    &answer);
-	sysarg_t retval = async_data_write_start(exch, pathname,
+	int retval = async_data_write_start(exch, pathname,
 	    str_size(pathname));
 	
@@ -405,5 +405,5 @@
 	ipc_call_t dreply;
 	size_t act_size;
-	sysarg_t dretval;
+	int dretval;
 	
 	exch = devman_exchange_begin_blocking(INTERFACE_DDF_CLIENT);
@@ -421,5 +421,5 @@
 	}
 	
-	sysarg_t retval;
+	int retval;
 	async_wait_for(req, &retval);
 	
@@ -476,8 +476,8 @@
 		return ENOMEM;
 	
-	sysarg_t retval = async_req_1_0(exch, DEVMAN_FUN_ONLINE, funh);
-	
-	devman_exchange_end(exch);
-	return (int) retval;
+	int retval = async_req_1_0(exch, DEVMAN_FUN_ONLINE, funh);
+	
+	devman_exchange_end(exch);
+	return retval;
 }
 
@@ -488,8 +488,8 @@
 		return ENOMEM;
 	
-	sysarg_t retval = async_req_1_0(exch, DEVMAN_FUN_OFFLINE, funh);
-	
-	devman_exchange_end(exch);
-	return (int) retval;
+	int retval = async_req_1_0(exch, DEVMAN_FUN_OFFLINE, funh);
+	
+	devman_exchange_end(exch);
+	return retval;
 }
 
@@ -510,5 +510,5 @@
 	}
 	
-	sysarg_t retval;
+	int retval;
 	async_wait_for(req, &retval);
 	
@@ -580,9 +580,9 @@
 		return ENOMEM;
 	
-	sysarg_t retval = async_req_1_1(exch, DEVMAN_FUN_GET_CHILD,
+	int retval = async_req_1_1(exch, DEVMAN_FUN_GET_CHILD,
 	    funh, devh);
 	
 	devman_exchange_end(exch);
-	return (int) retval;
+	return retval;
 }
 
@@ -600,9 +600,9 @@
 		return ENOMEM;
 	
-	sysarg_t retval = async_req_1_1(exch, DEVMAN_DEV_GET_PARENT,
+	int retval = async_req_1_1(exch, DEVMAN_DEV_GET_PARENT,
 	    devh, funh);
 	
 	devman_exchange_end(exch);
-	return (int) retval;
+	return retval;
 }
 
@@ -613,9 +613,9 @@
 		return ENOMEM;
 	
-	sysarg_t retval = async_req_1_1(exch, DEVMAN_FUN_SID_TO_HANDLE,
+	int retval = async_req_1_1(exch, DEVMAN_FUN_SID_TO_HANDLE,
 	    sid, handle);
 	
 	devman_exchange_end(exch);
-	return (int) retval;
+	return retval;
 }
 
@@ -643,5 +643,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_0(exch, DEVMAN_DRIVER_GET_HANDLE, &answer);
-	sysarg_t retval = async_data_write_start(exch, drvname,
+	int retval = async_data_write_start(exch, drvname,
 	    str_size(drvname));
 	
